/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.VConsultorews;

import java.util.ArrayList;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class VConsultorewsFacade extends AbstractFacade<VConsultorews> implements VConsultorewsFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public VConsultorewsFacade() {
        super(VConsultorews.class);
    }

    @Override
    public List<VConsultorews> nombrePorLike(String nombre) {

        List<VConsultorews> rs = new ArrayList<>();

        Query q = em.createNamedQuery("VConsultorews.findByConsultorNombre");
        q.setParameter("consultorNombre", "%" + nombre + "%");

        rs.addAll(q.getResultList());

        return rs;
    }

}
